Find the answer to your Linux question:
Results 1 to 4 of 4
I am trying to install pure-ftpd on centos 6 yum install pure-ftpd and it is giving me there errors Code: Error: Package: pure-ftpd-1.0.21-1.el5.rf.x86_64 (rpmforge) Requires: libpq.so.4()(64bit) Error: Package: pure-ftpd-1.0.21-1.el5.rf.x86_64 (rpmforge) ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Oct 2009
    Location
    Zurrieq, Malta
    Posts
    8

    errors when installing pure-ftpd on centos


    I am trying to install pure-ftpd on centos 6

    yum install pure-ftpd

    and it is giving me there errors

    Code:
    Error: Package: pure-ftpd-1.0.21-1.el5.rf.x86_64 (rpmforge)
               Requires: libpq.so.4()(64bit)
    Error: Package: pure-ftpd-1.0.21-1.el5.rf.x86_64 (rpmforge)
               Requires: libmysqlclient.so.15(libmysqlclient_15)(64bit)
    Error: Package: pure-ftpd-1.0.21-1.el5.rf.x86_64 (rpmforge)
               Requires: libmysqlclient.so.15()(64bit)
    anyone know how I can install those packages?

  2. #2
    Linux Guru Lazydog's Avatar
    Join Date
    Jun 2004
    Location
    The Keystone State
    Posts
    2,677
    To find what packages provide missing file you could always use

    Code:
    yum provides <filename>

    Regards
    Robert

    Linux
    The adventure of a life time.

    Linux User #296285
    Get Counted

  3. #3
    Trusted Penguin Irithori's Avatar
    Join Date
    May 2009
    Location
    Munich
    Posts
    3,392
    That rpm is meant for redhat enterprise linux 5.
    Not centos 6.

    *Do not* mix rpms from different distributions and/or versions.
    Otherwise dependency/install issues as well as instabilities will occur.

    A google search brought several hits for a more fitting pure-ftpd rpm.
    You must always face the curtain with a bow.

  4. #4
    Linux Guru Lazydog's Avatar
    Join Date
    Jun 2004
    Location
    The Keystone State
    Posts
    2,677
    Quote Originally Posted by Irithori View Post
    That rpm is meant for redhat enterprise linux 5.
    Not centos 6.
    Good catch.

    Regards
    Robert

    Linux
    The adventure of a life time.

    Linux User #296285
    Get Counted

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •